Subject: Mod_Python package 2.7.8
To: None <>
From: D'Arcy J.M. Cain <>
List: tech-pkg
Date: 11/21/2003 15:50:19
I just updated my local copy of www/ap-python from 2.7.6 to 2.7.8.  It doesn't 
look like there were lost of changes but I did do the following:

Allow all versions of Python to 2.3.  It seems to work fine for me on 2.3 and 
I don't see any reason that it wouldn't work on the others.  Does anyone know 
why it was being limited to 2.0?

Changed lib/python/mod_python/ to allow the CGI handler to do 
redirects properly.

Changed lib/python/mod_python/ related to the above to append the 
local directory to the libraries so that relative pages can be found.  Also 
check for SystemExit and handle it so that programs can use sys.exit(0) 
without having an ISE at the bottom of their pages.

See if you want to check it 
out.  Does anyone have a problem if I commit this?

D'Arcy J.M. Cain <>